### Method

# Foundry BuildPipeline get_phase

since: 1.1

#### Declaration [src]

    FoundryBuildPipelinePhase
    foundry_build_pipeline_get_phase (
      FoundryBuildPipeline* self
    )

#### Description [src]

Gets the maximum phase reached by all completed stages.

The phase is calculated as the maximum phase of all stages that have the completed property set to true, up to the first stage that is not completed. If two stages in the same phase have different values for completed, that phase has not been reached.

Available since: 1.1

Gets property | `Foundry.BuildPipeline:phase`

#### Return value

Type: `FoundryBuildPipelinePhase`

The maximum phase reached.